Bug 1164547 - [osinfo] remove runtime validation
Summary: [osinfo] remove runtime validation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 3.5.0
Assignee: Shahar Havivi
QA Contact: Ilanit Stein
URL:
Whiteboard: virt
Depends On:
Blocks: rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-11-16 09:38 UTC by Alon Bar-Lev
Modified: 2015-02-17 08:29 UTC (History)
19 users (show)

Fixed In Version: org.ovirt.engine-root-3.5.0-25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 08:29:35 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 35196 master ABANDONED util: osinfo: downgrade antlr-2.7 Never

Description Alon Bar-Lev 2014-11-16 09:38:17 UTC
During osinfo validation[1] addition a new dependency was added without proper review nor auditing.

Pulling a new out of jboss dependency should not be taken lightly.

Our options are:

1. drop runtime validation for osinfo, have this only at build time.

2. downgrade antlr usage to 2.7 per what jboss provides.

3. add yet another binary dependency to downstream which is not something that we should do.

In anycase, another error was that fedora spec should be modified to pull dependency and symlink jar, but this is going away per (1) or (2) options anyway.

I have written a draft per starters, please continue this so we won't need this new external dependency.

[1] http://gerrit.ovirt.org/#/c/30782/

Comment 1 Roy Golan 2014-11-23 09:53:47 UTC
what's the reason this dependency is problematic?

Comment 2 Alon Bar-Lev 2014-11-23 09:57:46 UTC
(In reply to Roy Golan from comment #1)
> what's the reason this dependency is problematic?

we do not add dependencies that are out of jboss provide or have eal6 packages without very very very good reason.

testing osinfo grammar is not a virtualization feature blocker, and can be done differently with either older version of antlr which is provided by jboss or using other primitive means.

Comment 3 Michal Skrivanek 2014-12-01 14:25:52 UTC
Similarly, option #1 is not what we should do either.

As I understood from Roy we need to find out if antlr 2.7 can work. If it is feasible we can do the necessary changes and use it.

Comment 4 Roy Golan 2014-12-03 13:47:02 UTC
(In reply to Michal Skrivanek from comment #3)
> Similarly, option #1 is not what we should do either.
> 
> As I understood from Roy we need to find out if antlr 2.7 can work. If it is
> feasible we can do the necessary changes and use it.

2.7 won't work.

I see that antlr4 is used by at least one brew tag.

Comment 8 Michal Skrivanek 2014-12-05 08:19:57 UTC
Roy, can you find out from the current antlr maintainers what are the plans regarding upgrade to what you need? If it's temporary I would prefer to keep the feature...(since our usage is limited I'm not worried about CVEs or bugs too much)

Comment 9 Alon Bar-Lev 2014-12-05 08:28:14 UTC
(In reply to Michal Skrivanek from comment #8)
> Roy, can you find out from the current antlr maintainers what are the plans
> regarding upgrade to what you need? If it's temporary I would prefer to keep
> the feature...(since our usage is limited I'm not worried about CVEs or bugs
> too much)

it is jboss who decide what modules they redistributing and at what version. not sure if consideration to break policy of packaging and release engineering is yours. current policy is that we do not redistribute 3rd party component unless critical to core business, you can see these at rhevm-dependencies. validating osinfo configuration files does not justify breaking that policy.

Comment 13 Alon Bar-Lev 2014-12-08 19:09:28 UTC
Reassign as rgolan is no longer in virt.

Comment 14 Michal Skrivanek 2014-12-10 14:03:47 UTC
alright, no response, but let's proceed. Giving up and removing the feature...

Comment 15 Alon Bar-Lev 2014-12-11 16:52:11 UTC
this should probably go into upstream as well, see bug#1170258 or you want to wait for [1]

[1] http://gerrit.ovirt.org/#/c/36082/

Comment 17 Ilanit Stein 2014-12-22 07:40:04 UTC
Moving to verified since jboss is coming up on vt13.4.

Comment 18 Omer Frenkel 2015-02-17 08:29:35 UTC
RHEV-M 3.5.0 has been released


Note You need to log in before you can comment on or make changes to this bug.